Bug 19751 - Holds awaiting pickup report should not be fixed-width
Summary: Holds awaiting pickup report should not be fixed-width
Status: Pushed to Master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Josef Moravec
URL: /cgi-bin/koha/circ/waitingreserves.pl
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-12-05 15:26 UTC by Owen Leonard
Modified: 2017-12-11 14:37 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19751: Holds awaiting pickup report should not be fixed-width (1.40 KB, patch)
2017-12-05 15:31 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19751: Holds awaiting pickup report should not be fixed-width (1.51 KB, patch)
2017-12-05 15:52 UTC, ByWaterSandboxes
Details | Diff | Splinter Review
Bug 19751: Holds awaiting pickup report should not be fixed-width (1.56 KB, patch)
2017-12-07 09:33 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2017-12-05 15:26:28 UTC
The holds awaiting pickup report should not be fixed-width. The table can be very wide, especially with the width of "Cancel and return to..." buttons with long branch names.
Comment 1 Owen Leonard 2017-12-05 15:31:57 UTC Comment hidden (obsolete)
Comment 2 ByWaterSandboxes 2017-12-05 15:52:13 UTC
Patch tested with a sandbox, by George Williams <george@nekls.org>
Comment 3 ByWaterSandboxes 2017-12-05 15:52:27 UTC Comment hidden (obsolete)
Comment 4 Josef Moravec 2017-12-07 09:33:54 UTC
Created attachment 69600 [details] [review]
Bug 19751: Holds awaiting pickup report should not be fixed-width

This patch changes the grid used for the holds awaiting pickup report so
that the results are full page and fluid instead of fixed-width.

To test, apply this patch and the patch for Bug 19700 if necessary.

View the holds awaiting pickup report. The report should fluidly fill
the page width.

Test with the CircSidebar system preference enabled and disabled.

Signed-off-by: George Williams <george@nekls.org>
Signed-off-by: BWS Sandboxes <ByWaterSandboxes@gmail.com>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 5 Jonathan Druart 2017-12-11 14:37:52 UTC
Pushed to master for 18.05, thanks to everybody involved!